---
layout: handbook-page-toc
title: Digital Experience Handbook
description: >-
  Learn more about the Digital Experience purpose, vision, mission, objective
  and more in this handbook.
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

# Digital Experience Handbook

- [Digital Definitions](/handbook/marketing/inbound-marketing/digital-experience/digital-definitions/)
- [Foundations Agenda](/handbook/marketing/inbound-marketing/digital-experience/foundations-agenda/)
- [Image Guidelines](/handbook/marketing/inbound-marketing/digital-experience/image-guidelines/)
- [Marketo Page Template](/handbook/marketing/inbound-marketing/digital-experience/marketo-page-template/)
- [Slippers Design System](/handbook/marketing/inbound-marketing/digital-experience/slippers-design-system/)
- [Video Bands](/handbook/marketing/inbound-marketing/digital-experience/video-bands/)
- [Website](/handbook/marketing/inbound-marketing/digital-experience/website/)
- [Writing Description Templates](/handbook/marketing/inbound-marketing/digital-experience/writing-description-templates/)
- [Engineering AB tests](/handbook/marketing/inbound-marketing/digital-experience/engineering-ab-tests/)

## Overview

### Managed Channels

[The Marketing Website](/handbook/marketing/inbound-marketing/digital-experience/website/)

### Purpose

_Why we exist_

To guide the intention of GitLab’s initial impact. Our goal is to continually shift perception by delivering positive experiences at velocity.

### Vision

_Where we're going_

A future where **everyone can contribute**, consumers become contributors and we greatly increase the rate of human progress.

### Mission

_What we do_

Create tools and processes that unlock GitLab team members and users to deliver results.

### Objective

Contribute and execute on the strategy for the marketing site.

1. Achieve traffic goals (inbound SEO)
1. Achieve MQL goals (conversion rate)
1. Support broader marketing initiatives w/ deliverables

### Strategy (FY21 Q3)

1. Implement a CMS - so that the content marketing team is more productive, and more teams can self-serve improvements to the website
1. Create a [Design System](https://gitlab.com/gitlab-com/marketing/inbound-marketing/slippers-ui) - developer productivity, more consistent up-leveled look/feel of the website
1. Set the long-term strategy for website to continue to see the content, design, and processes refreshed
1. Establish SEO partnership

View long-term goals here: [/handbook/marketing/inbound-marketing/digital-experience/foundations-agenda/](/handbook/marketing/inbound-marketing/digital-experience/foundations-agenda/)

### Principles (WIP)

1. **Understand** We need to understand the challenge before we can solve it (this could be related to process, it’s asking questions)
1. **Trust** We trust our process (we have a process, we have versions of our process based on scope) We trust each other
    1. **Respect**
    1. **Transparency**
1. **Inclusive** Add description - make sure this is sharp
    1. **Empathy** we creating things for our customers/users
    1. **Supportive** We support each other and other teams to deliver the best results (something about creating safety and educating others) psychological safety
    1. Provide feedback to support each other
    1. **Accessible**
1. **Intentional** simple over complicated
    1. Meet people where they’re at/**context**/cognitive load rewrite this
1. **Opinion** We have a strong opinion that differentiates us
1. **Results** We focus on results (something about keep it simple, measurement)
    1. **Actionable**
    1. **Measurable**
1. **Iteration** When applying the [MVC](/handbook/product/product-principles/#the-minimal-viable-change-mvc) approach, make things smaller by reducing the scope of the job-to-be-done rather than sacrificing the end goal.
    1. **Experimentation** We’re driven by experimentation and judge success with data (I dunno, something from essential experiences)
    1. **Increments**  We take large tasks and break them down into multiple iterative tasks

### What We Are Not

[COMING]

## Team

| Team Member | Role | Contact Info |
| ----------- | ---- | ------------ |
| [**Michael Preuss**](/company/team/#mpreuss22) | Senior Manager, Digital Experience | - Email: [mpreuss@gitlab.com](mailto:mpreuss@gitlab.com)<br>- GitLab: [@mpreuss22](https://gitlab.com/mpreuss22)<br>- Slack: @mpreuss22<br>- ReadMe: [michael-preuss](/handbook/marketing/readmes/michael-preuss.html) |
| [**Lauren Barker**](/company/team/#laurenbarker) | Senior Fullstack Engineer | - Email: [lbarker@gitlab.com](mailto:lbarker@gitlab.com)<br>- GitLab: [@laurenbarker](https://gitlab.com/laurenbarker)<br>- Slack: @lbarker<br>- ReadMe: [lauren-barker](/handbook/marketing/readmes/lauren-barker.html) |
| [**Brandon Lyon**](https://about.gitlab.com/company/team/#brandon_lyon) | Frontend Engineer | - Email: [blyon@gitlab.com](mailto:blyon@gitlab.com)<br>- GitLab: [@brandon_lyon](https://gitlab.com/brandon_lyon)<br>- Slack: @Brandon Lyon<br>- ReadMe: [brandon-lyon](/handbook/marketing/readmes/brandon-lyon.html) |
| [**Tyler Williams**](https://about.gitlab.com/company/team/#tywilliams) | Fullstack Engineer | - Email: [tywilliams@gitlab.com](mailto:tywilliams@gitlab.com)<br>- GitLab: [@tywilliams](https://gitlab.com/tywilliams)<br>- Slack: @Tyler Williams<br>- ReadMe: [tyler-williams](/handbook/marketing/readmes/tyler-williams.html) |
| [**Laura Duggan**](https://about.gitlab.com/company/team/#lduggan) | Frontend Engineer | - Email: [lduggan@gitlab.com](mailto:lduggan@gitlab.com)<br>- GitLab: [@lduggan](https://gitlab.com/lduggan)<br>- Slack: @Laura Duggan<br>- ReadMe: [laura-duggan](/handbook/marketing/readmes/laura-duggan.html) |
| Stephen McGuinness | Design System Lead (Contract) | - GitLab: [@smcguinness1](http://smcguinness1)<br>- Slack: @Stephen McGuinness |
| Jessica Halloran | UX Designer (Contract) | - GitLab: [@jhalloran](https://gitlab.com/jhalloran)<br>- Slack: @jhalloran |
| Tina Lise Ng | UX Designer (Contract) | - GitLab: [@Tinaliseng](https://gitlab.com/Tinaliseng)<br>- Slack: @Tina Lise Ng |
| Javier Garcia | Frontend Engineer (Contract) | - GitLab: [@jgarc](https://gitlab.com/jgarc257)<br>- Slack: @Javi |
| Sanmi Ayotunde | Frontend Engineer (Contract) | - GitLab: [@sanmiayotunde](https://gitlab.com/sanmiayotunde)<br>- Slack: @sanmiayotunde<br>- ReadMe: [sanmiayotunde](/handbook/marketing/readmes/sanmiayotunde.html) |

## Metrics

Specific targets can be found [here](/handbook/marketing/inbound-marketing/#goals)

### North Star Metric

**Metric**: Inbound marketing qualified leads.

### Supporting Metrics

There are many other digital marketing metrics we track for the website. These include pageviews, unique visitors, time on site, and conversion metrics for key funnels. These detailed metrics are leading indicators for the health of our North Start metric, and are internal to GitLab.

## Scope

The GitLab digital marketing platform, or simply the “GitLab Website” refers to all of the content on `https://about.gitlab.com` except the [blog](/handbook/marketing/blog/) and [handbook](/handbook/).

See [Where should content go?](/handbook/git-page-update/#where-should-content-go) to learn which web property is the most appropriate place to put different types of content. To learn what section of the website different content belongs see definitions.

The website does not include - The Docs: `docs.gitlab.com` - The GitLab.com product: `gitlab.com` - The Handbook: `about.gitlab.com/handbook` - The blog: `about.gitlab.com/blog`

## OKRs

We collaboratively define OKRs as a team with cross functional partners in advance of each quarter. Once OKR candidates are complete the Growth Marketing Leads review and submit for ratification.

### FY21 Q4 OKRs

**Objective:** [Q4 FY21 Growth Marketing OKR: Implement 3rd Party CMS on about.gitlab.com](https://gitlab.com/groups/gitlab-com/marketing/growth-marketing/-/epics/153)

**Key Result:** During Q3 FY21, we made the decision to move forward with a 3rd party CMS (content management system) for the GitLab marketing website. A vendor selection process was completed, and the decision is to implement NetlifyCMS.

**Objective:** [Q4 FY21 Digital Experience OKR: Marketing Design System](https://gitlab.com/groups/gitlab-com/marketing/growth-marketing/-/epics/92)

**Key Result:** During Q3 FY21, we will invest in planning, designing, and building a design system for our Marketing site. The Marketing Design System will increase our efficiency and make it easier for everyone to contribute.

## Our Process

Our goal is to deliver a release every 2 weeks. Our release day is always a Wednesday. We can push MRs at any time but for collaborative work initiatives we plan a package for delivery to ensure we're improving our customer's experience rapidly.

### Sprint Cycle

For FY22 Q1 we have one two-week sprint cycle.
<figure class="video_container">
<iframe src="https://calendar.google.com/calendar/embed?src=c_g97ibfb3lq183mphm8mnbjfk34%40group.calendar.google.com&ctz=America%2FDenver" style="border: 0" width="800" height="600" frameborder="0" scrolling="no"></iframe>
</figure>

### Internal Agency Day

Every second Friday of our sprint cycle is open for issues and requests initiated outside of the Inbound Marketing team. These issues should be labelled with the `IM-WEBAGENCY` label and will be taken on based on priority/due date.

| Monday | Tuesday | Wednesday | Thursday | Friday |
| ------ | ------- | --------- | -------- | ------ |
| Sprint Begins |  |  |  |  |
|  |  | Sprint Release Async | Sprint Ends | Agency Day |

### Internal Issue Boards

These issue boards were created by the Digital Experience team to track our own workloads for a given release cycle.

- [Current Milestone](https://gitlab.com/groups/gitlab-com/-/boards/2415116)
- [Kanban](https://gitlab.com/groups/gitlab-com/-/boards/2415063)

### Sprint Planning

Before a sprint starts, our team aligns on what will be delivered during the sprint. We identify issues that need to be written, write them, then add them to our boards and weight them.

**Weighting**

We use issue weight to plan and manage our work. Team members are not held to weights, they’re simply a planning and learning tool. Digital Experience weights are based on the following point scale: 1pt = .5 day. In a full two-week sprint, we plan to deliver 20 points per team member.

**Agenda**

We use the [Inbound Marketing Sprint Planning document](https://docs.google.com/document/d/1uFw2snKuBlt2VirP5mjMvCr66HD7hOAB6QrXaElBZQE/edit#heading=h.aa7av9szmk5t) for our planning meetings.
<figure class="video_container">
 <iframe src="https://docs.google.com/document/d/1uFw2snKuBlt2VirP5mjMvCr66HD7hOAB6QrXaElBZQE/edit?usp=sharing"></iframe>
</figure>

### Weekly Check In

We use [Geekbot](https://geekbot.com/) to conduct asynchronous, weekly check-ins on iteration progress.

Each member of the Digital Experience team should be listed as a participant in the weekly check ins, and everyone should have permissions to manage the application for our team. The app can be configured through the [Geekbot Dashboard](https://app.geekbot.com/dashboard/), which you can visit directly, or find by clicking the **Geekbot** Slack conversation, navigating to the **About** tab, and clicking **App Homepage**.

### Code Reviews

Our team makes every attempt to complete [code reviews](/handbook/engineering/workflow/code-review/) on Merge Requests as timely as possible.

Team members who create a Merge Request should factor in a suitable amount of time for code and/or design review. If an issue has a due date, the MR creator should try have the work code-complete at least 24 hours prior to the intended release. This gives time for any major fixes that the reviewers may point out, and encourages quick [iterations](/handbook/values/#iteration) and [Minimal Viable Change releases](/handbook/values/#move-fast-by-shipping-the-minimal-viable-change).

When a team member is requested for review, it is good practice for them to post a comment in the Merge Request with an estimated timeline by which they expect to complete the review. For example, it is understandable to take 3 days to do a review, as long as you've let the MR creator know it may take that long. This gives the MR creator an opportunity to request a review from another team member.

Digital Experience code request reviews should include the [merge request checklist](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/.gitlab/merge_request_templates/Inbound-Marketing-Checklist-Basic.md) as referenced on the [reviewing merge requests](/handbook/marketing/inbound-marketing/digital-experience/website/merge-requests/) handbook page. Merge requests involving a URL redirect should also include the [redirect checklist](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/.gitlab/merge_request_templates/Inbound-Marketing-Redirect-Checklist.md).

### Sprint Releases

On the second Wednesday of each sprint, we have a calendar reminder for "Sprint Release Async", which serves as a reminder for team members to add to the [Sprint Release Video Document](https://docs.google.com/document/d/1I9Th3Q-AakOkE_-pmNtEzwwMDSqYKF5Je2etGdPTovk/edit).
<figure class="video_container">
 <iframe src="https://docs.google.com/document/d/1I9Th3Q-AakOkE_-pmNtEzwwMDSqYKF5Je2etGdPTovk/edit"></iframe>
</figure>

**Special cases during release post schedule:** we hold off on making changes to the `www-gitlab-com` repository during [release post](https://about.gitlab.com/handbook/marketing/blog/release-posts/#release-posts) days. The release post process is handled by a different team, and it can be disruptive to their work when we release changes to dependencies, CI/CD, or other major changes around their monthly release cadence.

### Sprint Retros

Sprint Retros allow us to reflect on what went well and what we can to do continuously improve our process.

This is the agenda we use for [Sprint Retros](https://docs.google.com/document/d/1kMNiUF2UDuSrMDuzLyRi8OEhVxry_MJoYi38RmmWafY/edit?usp=sharing)
<figure class="video_container">
 <iframe src="https://docs.google.com/document/d/1kMNiUF2UDuSrMDuzLyRi8OEhVxry_MJoYi38RmmWafY/edit?usp=sharing"></iframe>
</figure>

### Sprint Videos

We release videos for [sprint planning](#sprint-planning), [sprint releases](#sprint-releases), and [sprint retrospectives](#sprint-retros) in the [Digital Experience playlist of GitLab Unfiltered](https://docs.google.com/document/d/1uFw2snKuBlt2VirP5mjMvCr66HD7hOAB6QrXaElBZQE/edit?usp=sharing).

## Contact Us

### Slack Group

**@digital-experience** use this handle in any channel to mention every member of our team.

### Slack Channels

[#digital-experience-team](https://gitlab.slack.com/archives/CN8AVSFEY)

[#inbound-mktg](https://gitlab.slack.com/archives/C012U3CASJ2)

[#marketing](https://gitlab.slack.com/archives/C0AKZRSQ5)

[#website](https://gitlab.slack.com/archives/C62ERFCFM)

## GitLab Unfiltered Playlists

**Digital Experience**

[https://www.youtube.com/playlist?list=PL05JrBw4t0KrakNGW0ruM5UL7DDlrMBba](https://www.youtube.com/playlist?list=PL05JrBw4t0KrakNGW0ruM5UL7DDlrMBba)

## Requesting Support

<%= partial("/includes/marketing/inbound-marketing/digital-experience/set-yourself-up-for-success") %>

<%= partial("/includes/marketing/inbound-marketing/digital-experience/lead-time") %>

If your request requires changes to the `www-gitlab-com` repository's dependencies, pipeline, or other critical infrastructure, and it coincides with a [release post](https://about.gitlab.com/handbook/marketing/blog/release-posts/#release-posts), the Digital Experience team may choose to wait for deployment, to avoid disrupting the monthly release post process.

##### Create a support issue

<%= partial("/includes/marketing/inbound-marketing/digital-experience/template-preamble") %>

<%= partial("/includes/marketing/inbound-marketing/digital-experience/issue-templates") %>

## How we use GitLab

[https://about.gitlab.com/handbook/marketing/inbound-marketing/#how-we-use-gitlab](https://about.gitlab.com/handbook/marketing/inbound-marketing/#how-we-use-gitlab)

## Digital Experience FAQ

<details markdown="1">

<summary>Why can't you work on a small request right away?</summary>

### Why can't you work on a small request right away?

Unfortunately we get multiple of these requests every day. When we do unplanned work, then we cannot deliver all of the work we planned. That said, it doesn't hurt to ask. We might have availability.

If we don't have availability, then we respectfully ask for your patience while waiting for the next available [agency day](/handbook/marketing/inbound-marketing/digital-experience/#internal-agency-day). This is time we set aside for this kind of work.

Your request might only take a few minutes to implement, but there is additional overhead in context switching, creating issues + merge requests + branches, testing procedures, reviewing, and verifying releases.

If you have an emergency then please do let us know. Be aware that whenever new work is brought into a sprint, other work is negatively impacted. Your request might be important, but we still need to weigh the importance against other projects.

</details>
